These setup files provide the text-only configurations for DMZ.

*It should not contain private data.*

# Aspirations

- Each service should reside in its own directory.
- Everything should be automated, including:
    - backups,
    - turning the backup back into a service,
    - configuring the service to run,
    - Makefile (or similar) wherever practical,
    - Idempotency.
- All secrets stored elsewhere (probably in the `dmzadmin` repo)
- Any maintenance scripts.
- Configurations should reside in shadow-directories, e.g. a backup `soft-serve`'s `config.yaml` should reside in this repo under `splint.rs/soft-serve/etc/soft/config.yaml`.

# Network Database

I have a half-baked plan to finally make use of plain-text databases, and it's already half-working.
Try these commands:

Ask what types of _rec_ords it contains:

```sh
recinf network.rec
```

```sh
recsel network.rec --type router
recsel network.rec --include-descriptors --type lxc
recsel network.rec -d -t lxc
recsel network.rec -d -t lxc --expression
recsel network.rec -t lxc --expression "name ~ 'nginx'"
recsel network.rec -t lxc --expression "name = 'nginx12'"
```

If you can select something, you can also set its fields with `recset`.

Use `-f` to set the field, and `-a` to add, or `-s` to set.


```sh
recset network.rec -t lxc --expression "name = 'nginx12'" -f proxies --add soft-serve
recsel network.rec -t lxc --expression "name = 'nginx11'" -p proxies[0]
recset network.rec -t lxc --expression "name = 'nginx11'" -f proxies[0] -s wiki9
```

